Tasks & Events
All operations require authentication.
1 operationv2/zimbra/platform
List tasksProduction
GET
/v2/ zimbra/ platform/ {platformId}/ task
Returns the tasks of the platform. Filter them by organizationId or organizationLabel.
Path parameters
platform Id
required
stringuuid
Platform ID
Query parameters
organization Id
stringuuid
Filter by organization identifier
organization Label
string
Filter by organization label
Headers
X- Pagination- Cursor
string
Pagination cursor
X- Pagination- Size
integer
Pagination size
Response
200Task []successful operation
created At
read-only
stringdate-time
Creation date of the task
errors
read-only
Task Error []
Errors that occurred on the task
finished At
read-only
stringdate-time
Ending date of the task
id
read-only
stringuuid
Unique identifier of the task
link
read-only
string
Link to the related resource
message
read-only
string
Description of the task
progress
read-only
Task Progress []
Progress steps of the asynchronous operation
started At
read-only
stringdate-time
Starting date of the task
status
read-only
Task Status Enum
Current global status of the task
Values
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTtype
read-only
string
Type of the task
updated At
read-only
stringdate-time
Last update of the task
404objectError 404 response
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]